package it.unibo.cs.lbedogni.framebyframe;

import android.app.Activity;
import android.graphics.drawable.AnimationDrawable;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;

public class FrameByFrameActivity extends Activity implements OnClickListener {
	private AnimationDrawable animationDrawable;
	Button btnStart;
	Button btnStop;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ImageView imageView = (ImageView) findViewById(R.id.animationView1);
		
		animationDrawable = (AnimationDrawable) imageView.getBackground();
		
		btnStart = (Button)findViewById(R.id.btnStart);
		btnStop = (Button)findViewById(R.id.btnStop);
		btnStart.setOnClickListener(this);
		btnStop.setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		if (v == btnStart)
			animationDrawable.start();
		else
			animationDrawable.stop();
	}
}